Package org.eclipse.rdf4j.sail.nativerdf.model

## Class NativeLiteral

- java.lang.Object
- - org.eclipse.rdf4j.model.base.AbstractLiteral
  - - org.eclipse.rdf4j.model.impl.SimpleLiteral
    - - org.eclipse.rdf4j.sail.nativerdf.model.NativeLiteral

- All Implemented Interfaces:
    `Serializable`, `Literal`, `Value`, `NativeValue`

      public class NativeLiteral
      extends SimpleLiteral
      implements NativeValue

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.rdf4j.sail.nativerdf.model.NativeValue

      `UNKNOWN_ID`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `NativeLiteral​(ValueStoreRevision revision, int internalID)` |
    `` | `NativeLiteral​(ValueStoreRevision revision, String label)` |
    `` | `NativeLiteral​(ValueStoreRevision revision, String label, int internalID)` |
    `` | `NativeLiteral​(ValueStoreRevision revision, String label, String lang)` |
    `` | `NativeLiteral​(ValueStoreRevision revision, String label, String lang, int internalID)` |
    `` | `NativeLiteral​(ValueStoreRevision revision, String label, IRI datatype)` |
    `` | `NativeLiteral​(ValueStoreRevision revision, String label, IRI datatype, int internalID)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` | Compares this literal to another object.
    `int` | `getInternalID()` | Gets the ID that is used in the native store for this Value.
    `ValueStoreRevision` | `getValueStoreRevision()` | Gets the revision of the value store that created this value.
    `void` | `setInternalID​(int internalID, ValueStoreRevision revision)` | Sets the ID that is used for this value in a specific revision of the value store.

    - ### Methods inherited from class org.eclipse.rdf4j.model.impl.SimpleLiteral

      `booleanValue, byteValue, calendarValue, decimalValue, doubleValue, floatValue, getCoreDatatype, getDatatype, getLabel, getLanguage, getXsdDatatype, hashCode, integerValue, intValue, longValue, setDatatype, setDatatype, setDatatype, setDatatype, setLabel, setLanguage, shortValue, stringValue, toString`

    - ### Methods inherited from class org.eclipse.rdf4j.model.base.AbstractLiteral

      `temporalAccessorValue, temporalAmountValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Literal

      `isLiteral`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Value

      `isBNode, isIRI, isResource, isTriple, stringValue`

- - ### Constructor Detail

    - #### NativeLiteral

          protected NativeLiteral​(ValueStoreRevision revision,
                                  int internalID)

    - #### NativeLiteral

          public NativeLiteral​(ValueStoreRevision revision,
                               String label)

    - #### NativeLiteral

          public NativeLiteral​(ValueStoreRevision revision,
                               String label,
                               int internalID)

    - #### NativeLiteral

          public NativeLiteral​(ValueStoreRevision revision,
                               String label,
                               String lang)

    - #### NativeLiteral

          public NativeLiteral​(ValueStoreRevision revision,
                               String label,
                               String lang,
                               int internalID)

    - #### NativeLiteral

          public NativeLiteral​(ValueStoreRevision revision,
                               String label,
                               IRI datatype)

    - #### NativeLiteral

          public NativeLiteral​(ValueStoreRevision revision,
                               String label,
                               IRI datatype,
                               int internalID)

  - ### Method Detail

    - #### setInternalID

          public void setInternalID​(int internalID,
                                    ValueStoreRevision revision)

      Description copied from interface: `NativeValue`
      Sets the ID that is used for this value in a specific revision of the value store.
      Specified by:
        `setInternalID` in interface `NativeValue`

    - #### getValueStoreRevision

          public ValueStoreRevision getValueStoreRevision()

      Description copied from interface: `NativeValue`
      Gets the revision of the value store that created this value. The value's internal ID is only valid when it's value store revision is equal to the value store's current revision.
      Specified by:
        `getValueStoreRevision` in interface `NativeValue`
      Returns:
        The revision of the value store that created this value at the time it last set the value's internal ID.

    - #### getInternalID

          public int getInternalID()

      Description copied from interface: `NativeValue`
      Gets the ID that is used in the native store for this Value.
      Specified by:
        `getInternalID` in interface `NativeValue`
      Returns:
        The value's ID, or `NativeValue.UNKNOWN_ID` if not yet set.

    - #### equals

          public boolean equals​(Object o)

      Description copied from interface: `Literal`
      Compares this literal to another object.
      Specified by:
        `equals` in interface `Literal`
      Overrides:
        `equals` in class `SimpleLiteral`
      Parameters:
        `o` - the object to compare this literal to
      Returns:
        `true`, if the other object is an instance of `Literal` and if their labels, language tags and datatypes are equal